linux: 3.19.0-26.28 -proposed tracker

Bug #1483630 reported by Luis Henriques on 2015-08-11
20
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Vivid
Medium
Unassigned

Bug Description

This bug is for tracking the 3.19.0-26.28 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 11. August 2015 10:17 UTC
kernel-stable-Prepare-package-end:Tuesday, 11. August 2015 23:03 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 11. August 2015 23:03 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 12. August 2015 16:12 UTC
kernel-stable-Verification-testing-start:Wednesday, 12. August 2015 18:01 UTC
kernel-stable-Certification-testing-start:Wednesday, 12. August 2015 18:01 UTC
kernel-stable-Security-signoff-start:Wednesday, 12. August 2015 18:01 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Wednesday, 12. August 2015 18:01 UTC
kernel-stable-Verification-testing-end:Friday, 14. August 2015 14:50 UTC
kernel-stable-Regression-testing-end:Friday, 14. August 2015 14:50 UTC
kernel-stable-Certification-testing-end:Friday, 14. August 2015 14:59 UTC
kernel-stable-Security-signoff-end:Saturday, 15. August 2015 09:00 UTC
kernel-stable-Promote-to-updates-start:Sunday, 16. August 2015 21:01 UTC
kernel-stable-Promote-to-updates-end:Monday, 17. August 2015 19:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 17. August 2015 20:03 UTC

Luis Henriques (henrix) on 2015-08-11
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-vivid
tags: added: vivid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Vivid):
importance: Undecided → Medium
Nicolas Delvaux (malizor) wrote :

Will this new package also revert the patch that break the proprietary ATI driver?
It is apparently because of 'PCI: Propagate the "ignore hotplug" setting to parent'

See Bug 1479913, although I don't think it is reasonable to expect users to update fglrx before installing this new kernel (and even the driver currently provided on the AMD website is affected).

All builds are complete, packages in this bug can be copied to -proposed.

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-vivid (14.04.1) - bug 1483922

description: updated
Chris J Arges (arges) wrote :

Promoted to proposed:
 linux | 3.19.0-26.28 | vivid-proposed | source
 linux-signed | 3.19.0-26.28 | vivid-proposed | source

Brad Figg (brad-figg) on 2015-08-12
description: updated
Brad Figg (brad-figg) on 2015-08-12
description: updated

The certification-testing task was set to Fix Released but neither the certification-testing-passed or certification-testing-failed tag was applied

tags: added: qa-testing-passed
description: updated
Brad Figg (brad-figg) on 2015-08-14
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2015-08-15
description: updated
Brad Figg (brad-figg) on 2015-08-16
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (30.6 KiB)

This bug was fixed in the package linux - 3.19.0-26.28

---------------
linux (3.19.0-26.28) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1483630

  [ Upstream Kernel Changes ]

  * Revert "Bluetooth: ath3k: Add support of 04ca:300d AR3012 device"

linux (3.19.0-26.27) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1479055
  * [Config] updateconfigs for 3.19.8-ckt4 stable update

  [ Chris J Arges ]

  * [Config] Add MTD_POWERNV_FLASH and OPAL_PRD
    - LP: #1464560

  [ Mika Kuoppala ]

  * SAUCE: i915_bpo: drm/i915: Fix divide by zero on watermark update
    - LP: #1473175

  [ Tim Gardner ]

  * [Config] ACORN_PARTITION=n
    - LP: #1453117
  * [Config] Add i40e[vf] to d-i
    - LP: #1476393

  [ Timo Aaltonen ]

  * SAUCE: i915_bpo: Rebase to v4.2-rc3
    - LP: #1473175
  * SAUCE: i915_bpo: Revert "mm/fault, drm/i915: Use pagefault_disabled()
    to check for disabled pagefaults"
    - LP: #1473175
  * SAUCE: i915_bpo: Revert "drm: i915: Port to new backlight interface
    selection API"
    - LP: #1473175

  [ Upstream Kernel Changes ]

  * Revert "tools/vm: fix page-flags build"
    - LP: #1473547
  * Revert "ALSA: hda - Add mute-LED mode control to Thinkpad"
    - LP: #1473547
  * Revert "drm/radeon: adjust pll when audio is not enabled"
    - LP: #1473547
  * Revert "crypto: talitos - convert to use be16_add_cpu()"
    - LP: #1479048
  * module: Call module notifier on failure after complete_formation()
    - LP: #1473547
  * gpio: gpio-kempld: Fix get_direction return value
    - LP: #1473547
  * ARM: dts: imx27: only map 4 Kbyte for fec registers
    - LP: #1473547
  * ARM: 8356/1: mm: handle non-pmd-aligned end of RAM
    - LP: #1473547
  * x86/mce: Fix MCE severity messages
    - LP: #1473547
  * mac80211: don't use napi_gro_receive() outside NAPI context
    - LP: #1473547
  * iwlwifi: mvm: Free fw_status after use to avoid memory leak
    - LP: #1473547
  * iwlwifi: mvm: clean net-detect info if device was reset during suspend
    - LP: #1473547
  * drm/plane-helper: Adapt cursor hack to transitional helpers
    - LP: #1473547
  * ARM: dts: set display clock correctly for exynos4412-trats2
    - LP: #1473547
  * hwmon: (ntc_thermistor) Ensure iio channel is of type IIO_VOLTAGE
    - LP: #1473547
  * mfd: da9052: Fix broken regulator probe
    - LP: #1473547
  * ALSA: hda - Fix noise on AMD radeon 290x controller
    - LP: #1473547
  * lguest: fix out-by-one error in address checking.
    - LP: #1473547
  * xfs: xfs_attr_inactive leaves inconsistent attr fork state behind
    - LP: #1473547
  * xfs: xfs_iozero can return positive errno
    - LP: #1473547
  * fs, omfs: add NULL terminator in the end up the token list
    - LP: #1473547
  * omfs: fix sign confusion for bitmap loop counter
    - LP: #1473547
  * d_walk() might skip too much
    - LP: #1473547
  * dm: fix casting bug in dm_merge_bvec()
    - LP: #1473547
  * hwmon: (nct6775) Add missing sysfs attribute initialization
    - LP: #1473547
  * hwmon: (nct6683) Add missing sysfs attribute initialization
    - LP: #1473547
  * target/pscsi: Don't leak scsi_host if hba is VIRTUAL_HOST
    - LP: #1473547
  * net...

Changed in linux (Ubuntu Vivid):
status: New → Fix Released
Brad Figg (brad-figg) on 2015-08-17
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Nicolas Delvaux (malizor) wrote :

Congratulation, you just broke the graphical environment of all FGLRX users.
I don't know if there is the same problem on Trusty, but Vivid is definitely KO. I have to select the former kernel in grub each time.
What is the point of having new kernels in "proposed" first if you ignore bug reports that tell you there is a major problem?

Brad Figg (brad-figg) wrote :

@nicolas

Can you point me at the bug report you are talking about?

Nicolas Delvaux (malizor) wrote :

@Brad: Bug 1479913 (stated in comment #1 and in the previous bug report of this proposed kernel)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers